Skip to main content
GET
/
api
/
audit-logs
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "_id": "<string>",
      "accountId": "<string>",
      "actor": {
        "type": "user",
        "id": "<string>",
        "ip": "<string>",
        "displayName": "<string>"
      },
      "action": "<string>",
      "resource": {
        "type": "<string>",
        "id": "<string>"
      },
      "timestamp": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "total": 123,
  "skip": 123,
  "limit": 123
}

Authorizations

X-API-Key
string
header
required

API key for programmatic access. Keys use the format nl_live_<64 hex> or nl_test_<64 hex> and are scoped to an account's RBAC permissions.

Query Parameters

action
string

Filter by action name (e.g., "lead.created", "api_key.rotated")

resourceType
string

Filter by resource type (e.g., "lead", "conversation", "api_key")

actorType
enum<string>

Filter by actor type

Available options:
user,
api_key
actorId
string

Filter by actor identifier (user ID or API key ID)

from
string<date>

Start date for the time range filter (ISO 8601)

to
string<date>

End date for the time range filter (ISO 8601)

Free-text search across action, resource type, and actor display name

Required string length: 2 - 200
skip
integer
default:0

Number of records to skip for pagination

Required range: x >= 0
limit
integer
default:50

Maximum number of records to return

Required range: 1 <= x <= 200

Response

Paginated audit log results

Paginated audit log response.

data
object[]
required
total
integer
required

Total number of matching audit log entries

skip
integer
required

Number of records skipped

limit
integer
required

Maximum records returned per page